develooper Front page | perl.perlpoint | Postings from April 2006

Package 0.43, Pod::PP 0.06, new API for standard import filters

From:
Jochen Stenzel
Date:
April 22, 2006 15:35
Subject:
Package 0.43, Pod::PP 0.06, new API for standard import filters
Message ID:
444AAF8E.3090706@jochen-stenzel.de
Hello,

updates for PP::Package and Pod::PP have entered both SourceForge and
CPAN. The Windows all-in-one distribution is updated, the Linux
all-in-one distribution shall follow.

These updates are compatible with their previous versions.

Besides smaller updates, these versions bring a new API to install
*standard* import filters. A standard filter is a filter from a standard
format, which should not be rewritten or imported explicitly to every
source that includes or embeds those standard files. For example, with
the new releases one now can include and embed POD this way:

  \INCLUDE{import=1 file="file.pod"}

  \INCLUDE{import=pod file="podfile"}

  \EMBED{import=pod}

  This is written in B<POD>.

  \END_EMBED

Additionally, one can import sources directly by using the new prefix
"IMPORT:", if the file has an extension that can be used to find out its
format:

  perlpoint ... IMPORT:file.pod


As a help to find out which versions are installed, the perlpoint script
and all generator based converters now support a -version option. Thanks
to Achim Grolms for this suggestion.

Enjoy

                 Jochen









nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About